# Trait is_terminal::IsTerminal

source · [−]

    pub trait IsTerminal {
        fn is_terminal(&self) -> bool;
    }

## Required Methods

source

#### fn is_terminal(&self) -> bool

Returns true if this is a terminal.

##### Example

    use is_terminal::IsTerminal;

    if std::io::stdout().is_terminal() {
        println!("stdout is a terminal")
    }

## Implementors

source

### impl<Stream: AsFilelike> IsTerminal for Stream